    // This music has been exported by SoundBox. You can use it with
    // http://sb.bitsnbites.eu/player-small.js in your own product.

    // See http://sb.bitsnbites.eu/demo.html for an example of how to
    // use it in a demo.

    // Song data
    var song = {
      songData: [
        { // Instrument 0
          i: [
          1, // OSC1_WAVEFORM
          255, // OSC1_VOL
          128, // OSC1_SEMI
          0, // OSC1_XENV
          1, // OSC2_WAVEFORM
          154, // OSC2_VOL
          128, // OSC2_SEMI
          9, // OSC2_DETUNE
          0, // OSC2_XENV
          0, // NOISE_VOL
          7, // ENV_ATTACK
          5, // ENV_SUSTAIN
          52, // ENV_RELEASE
          0, // ARP_CHORD
          0, // ARP_SPEED
          0, // LFO_WAVEFORM
          0, // LFO_AMT
          0, // LFO_FREQ
          0, // LFO_FX_FREQ
          2, // FX_FILTER
          255, // FX_FREQ
          0, // FX_RESONANCE
          0, // FX_DIST
          32, // FX_DRIVE
          47, // FX_PAN_AMT
          3, // FX_PAN_FREQ
          146, // FX_DELAY_AMT
          2 // FX_DELAY_TIME
          ],
          // Patterns
          p: [1,1,2,2,2,2,2,2,2,2,2,2,2,2,10,10,2,2,10,10,2,2,10,10,10,10],
          // Columns
          c: [
            {n: [138,150,,153,150,,150,150,,157,150,,153,157,,148,138,150,,153,150,,155,148,,155,148,153,,157,148],
             f: []},
            {n: [138,150,,153,150,,150,150,,157,150,,153,157,,148,138,150,,153,150,,155,148,,155,148,153,,157,148,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,133,,,,,,133,,,,,,136,,,,133,,,,,,131,,,,131,,,,133],
             f: []},
            {n: [],
             f: []},
            {n: [],
             f: []},
            {n: [],
             f: []},
            {n: [],
             f: []},
            {n: [],
             f: []},
            {n: [],
             f: []},
            {n: [],
             f: []},
            {n: [150,153,,150,155,,150,157,,148,157,,150,153,,150,155,,150,157,,148,157,,148,155,,148,153,,157],
             f: []}
          ]
        },
        { // Instrument 1
          i: [
          3, // OSC1_WAVEFORM
          100, // OSC1_VOL
          128, // OSC1_SEMI
          0, // OSC1_XENV
          3, // OSC2_WAVEFORM
          201, // OSC2_VOL
          128, // OSC2_SEMI
          2, // OSC2_DETUNE
          0, // OSC2_XENV
          0, // NOISE_VOL
          0, // ENV_ATTACK
          6, // ENV_SUSTAIN
          49, // ENV_RELEASE
          0, // ARP_CHORD
          0, // ARP_SPEED
          0, // LFO_WAVEFORM
          139, // LFO_AMT
          4, // LFO_FREQ
          1, // LFO_FX_FREQ
          3, // FX_FILTER
          30, // FX_FREQ
          184, // FX_RESONANCE
          119, // FX_DIST
          244, // FX_DRIVE
          147, // FX_PAN_AMT
          6, // FX_PAN_FREQ
          84, // FX_DELAY_AMT
          6 // FX_DELAY_TIME
          ],
          // Patterns
          p: [,,3,3,4,4,4,4,4,4,4,4,4,4,11,12,4,4,11,12,4,4],
          // Columns
          c: [
            {n: [],
             f: []},
            {n: [],
             f: []},
            {n: [126,126,,126,126,,126,126,,126,126,,126,126,,126,126,,126,126,,126,126,,126,126,,126,126,,126,126],
             f: []},
            {n: [126,126,133,126,126,133,126,126,133,126,126,133,126,126,133,126,126,133,126,126,133,126,126,133,126,126,133,126,126,133,126,126],
             f: []},
            {n: [],
             f: []},
            {n: [],
             f: []},
            {n: [],
             f: []},
            {n: [],
             f: []},
            {n: [],
             f: []},
            {n: [],
             f: []},
            {n: [131,131,143,131,131,143,131,131,143,131,131,143,131,131,143,131,131,143,131,131,143,131,131,143,131,131,143,131,131,143,131,131],
             f: []},
            {n: [133,133,145,133,133,145,133,133,145,133,133,145,133,133,145,133,133,145,133,133,145,133,133,145,133,133,145,133,133,145,133,133],
             f: []}
          ]
        },
        { // Instrument 2
          i: [
          2, // OSC1_WAVEFORM
          138, // OSC1_VOL
          116, // OSC1_SEMI
          0, // OSC1_XENV
          2, // OSC2_WAVEFORM
          138, // OSC2_VOL
          128, // OSC2_SEMI
          4, // OSC2_DETUNE
          0, // OSC2_XENV
          0, // NOISE_VOL
          47, // ENV_ATTACK
          48, // ENV_SUSTAIN
          107, // ENV_RELEASE
          124, // ARP_CHORD
          3, // ARP_SPEED
          0, // LFO_WAVEFORM
          139, // LFO_AMT
          4, // LFO_FREQ
          1, // LFO_FX_FREQ
          3, // FX_FILTER
          64, // FX_FREQ
          160, // FX_RESONANCE
          3, // FX_DIST
          32, // FX_DRIVE
          147, // FX_PAN_AMT
          4, // FX_PAN_FREQ
          121, // FX_DELAY_AMT
          5 // FX_DELAY_TIME
          ],
          // Patterns
          p: [,,,,,,5,9,5,9,5,9,5,9,5,9,5,9,5,9,5,9,5,9,5,9,13],
          // Columns
          c: [
            {n: [],
             f: []},
            {n: [],
             f: []},
            {n: [],
             f: []},
            {n: [],
             f: []},
            {n: [145,,,,,,150,,,,,,,,,,150,,,,,,150,,,,,,,,162,,,,,,,,,,138,,,,,,,,,,,,,,,,138],
             f: []},
            {n: [],
             f: []},
            {n: [],
             f: []},
            {n: [],
             f: []},
            {n: [157,,,,,,150,,,,,,,,,,153,,,,,,153,,,,,,,,153,,,,,,,,,,138,,,,,,,,,,,,,,,,141],
             f: []},
            {n: [],
             f: []},
            {n: [],
             f: []},
            {n: [],
             f: []},
            {n: [126,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,114],
             f: []}
          ]
        },
        { // Instrument 3
          i: [
          1, // OSC1_WAVEFORM
          255, // OSC1_VOL
          128, // OSC1_SEMI
          0, // OSC1_XENV
          1, // OSC2_WAVEFORM
          255, // OSC2_VOL
          116, // OSC2_SEMI
          9, // OSC2_DETUNE
          0, // OSC2_XENV
          0, // NOISE_VOL
          6, // ENV_ATTACK
          22, // ENV_SUSTAIN
          34, // ENV_RELEASE
          0, // ARP_CHORD
          0, // ARP_SPEED
          0, // LFO_WAVEFORM
          69, // LFO_AMT
          3, // LFO_FREQ
          1, // LFO_FX_FREQ
          1, // FX_FILTER
          23, // FX_FREQ
          167, // FX_RESONANCE
          0, // FX_DIST
          32, // FX_DRIVE
          77, // FX_PAN_AMT
          6, // FX_PAN_FREQ
          25, // FX_DELAY_AMT
          6 // FX_DELAY_TIME
          ],
          // Patterns
          p: [,,,,,,,,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6],
          // Columns
          c: [
            {n: [],
             f: []},
            {n: [],
             f: []},
            {n: [],
             f: []},
            {n: [],
             f: []},
            {n: [],
             f: []},
            {n: [162,,165,,169,,162,,165,,167,,162,,165,,169,,162,,165,,167,,162,,165,,167,,169],
             f: []}
          ]
        },
        { // Instrument 4
          i: [
          0, // OSC1_WAVEFORM
          255, // OSC1_VOL
          117, // OSC1_SEMI
          1, // OSC1_XENV
          0, // OSC2_WAVEFORM
          255, // OSC2_VOL
          110, // OSC2_SEMI
          0, // OSC2_DETUNE
          1, // OSC2_XENV
          0, // NOISE_VOL
          4, // ENV_ATTACK
          6, // ENV_SUSTAIN
          35, // ENV_RELEASE
          0, // ARP_CHORD
          0, // ARP_SPEED
          0, // LFO_WAVEFORM
          0, // LFO_AMT
          0, // LFO_FREQ
          0, // LFO_FX_FREQ
          2, // FX_FILTER
          14, // FX_FREQ
          0, // FX_RESONANCE
          1, // FX_DIST
          39, // FX_DRIVE
          76, // FX_PAN_AMT
          5, // FX_PAN_FREQ
          0, // FX_DELAY_AMT
          0 // FX_DELAY_TIME
          ],
          // Patterns
          p: [,,,,,,,,,,7,7,7,7,,,7,7,7,7,7,7,7,7],
          // Columns
          c: [
            {n: [],
             f: []},
            {n: [],
             f: []},
            {n: [],
             f: []},
            {n: [],
             f: []},
            {n: [],
             f: []},
            {n: [],
             f: []},
            {n: [135,,135,,,,,,,,135,,,,135,,,,,,,,135,,,,,,,,135],
             f: []}
          ]
        },
        { // Instrument 5
          i: [
          0, // OSC1_WAVEFORM
          221, // OSC1_VOL
          128, // OSC1_SEMI
          1, // OSC1_XENV
          0, // OSC2_WAVEFORM
          210, // OSC2_VOL
          128, // OSC2_SEMI
          0, // OSC2_DETUNE
          1, // OSC2_XENV
          255, // NOISE_VOL
          4, // ENV_ATTACK
          6, // ENV_SUSTAIN
          62, // ENV_RELEASE
          0, // ARP_CHORD
          0, // ARP_SPEED
          0, // LFO_WAVEFORM
          64, // LFO_AMT
          7, // LFO_FREQ
          1, // LFO_FX_FREQ
          3, // FX_FILTER
          255, // FX_FREQ
          15, // FX_RESONANCE
          0, // FX_DIST
          32, // FX_DRIVE
          20, // FX_PAN_AMT
          0, // FX_PAN_FREQ
          24, // FX_DELAY_AMT
          6 // FX_DELAY_TIME
          ],
          // Patterns
          p: [,,,,,,,,,,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8],
          // Columns
          c: [
            {n: [],
             f: []},
            {n: [],
             f: []},
            {n: [],
             f: []},
            {n: [],
             f: []},
            {n: [],
             f: []},
            {n: [],
             f: []},
            {n: [],
             f: []},
            {n: [,,,,147,,,,,,,,147,,,,,,,,147,,,,,,,,147],
             f: []}
          ]
        },
      ],
      rowLen: 5513,   // In sample lengths
      patternLen: 32,  // Rows per pattern
      endPattern: 26,  // End pattern
      numChannels: 6  // Number of channels
    };
